Loading...
Searching...
No Matches
svn_merge_range_t Struct Reference

Mergeinfo representing a merge of a range of revisions. More...

`#include <svn_types.h>`

## Data Fields

svn_revnum_t | start
| If the 'start' field is less than the 'end' field then 'start' is exclusive and 'end' inclusive of the range described.
svn_revnum_t | end
svn_boolean_t | inheritable
| Whether this merge range should be inherited by treewise descendants of the path to which the range applies.

## Detailed Description

Mergeinfo representing a merge of a range of revisions.

Since
  New in 1.5

Definition at line 1157 of file svn_types.h.

## Field Documentation

## end

svn_revnum_t svn_merge_range_t::end

Definition at line 1167 of file svn_types.h.

## inheritable

svn_boolean_t svn_merge_range_t::inheritable

Whether this merge range should be inherited by treewise descendants of the path to which the range applies.

Definition at line 1172 of file svn_types.h.

## start

svn_revnum_t svn_merge_range_t::start

If the 'start' field is less than the 'end' field then 'start' is exclusive and 'end' inclusive of the range described.

This is termed a forward merge range. If 'start' is greater than 'end' then the opposite is true. This is termed a reverse merge range. If 'start' equals 'end' the meaning of the range is not defined.

Definition at line 1166 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h